python-cutadapt_1.13-1build2_i386.deb


Advertisement

Description

python-cutadapt - Clean biological sequences from high-throughput sequencing reads (Python 2)

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name python-cutadapt
Package version 1.13
Package release 1build2
Package architecture i386
Package type deb
Installed size 395 B
Download size 102.36 KB
Official Mirror archive.ubuntu.com
Cutadapt helps with biological sequence clean tasks by finding the adapter
or primer sequences in an error-tolerant way.
It can also modify and filter reads in various ways.
Adapter sequences can contain IUPAC wildcard characters.
Also, paired-end reads and even colorspace data is supported.
If you want, you can also just demultiplex your input data, without removing
adapter sequences at all.
This package contains the Python 2 module.

Alternatives

Package Version Architecture Repository
python-cutadapt_1.13-1build2_amd64.deb 1.13 amd64 Ubuntu Universe
python-cutadapt - - -

Requires

Name Value
libc6 >= 2.4
python >= 2.7~
python << 2.8
python-xopen -
python:any << 2.8
python:any >= 2.7.5-5~

Download

Type URL
Binary Package python-cutadapt_1.13-1build2_i386.deb
Source Package python-cutadapt

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-cutadapt deb package:
    # sudo apt-get install python-cutadapt

Files

Path
/usr/lib/python2.7/dist-packages/cutadapt/__init__.py
/usr/lib/python2.7/dist-packages/cutadapt/_align.i386-linux-gnu.so
/usr/lib/python2.7/dist-packages/cutadapt/_qualtrim.i386-linux-gnu.so
/usr/lib/python2.7/dist-packages/cutadapt/_seqio.i386-linux-gnu.so
/usr/lib/python2.7/dist-packages/cutadapt/_version.py
/usr/lib/python2.7/dist-packages/cutadapt/adapters.py
/usr/lib/python2.7/dist-packages/cutadapt/align.py
/usr/lib/python2.7/dist-packages/cutadapt/colorspace.py
/usr/lib/python2.7/dist-packages/cutadapt/compat.py
/usr/lib/python2.7/dist-packages/cutadapt/filters.py
/usr/lib/python2.7/dist-packages/cutadapt/modifiers.py
/usr/lib/python2.7/dist-packages/cutadapt/qualtrim.py
/usr/lib/python2.7/dist-packages/cutadapt/report.py
/usr/lib/python2.7/dist-packages/cutadapt/seqio.py
/usr/lib/python2.7/dist-packages/cutadapt-1.13.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/cutadapt-1.13.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/cutadapt-1.13.egg-info/entry_points.txt
/usr/lib/python2.7/dist-packages/cutadapt-1.13.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/cutadapt-1.13.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/cutadapt/scripts/__init__.py
/usr/lib/python2.7/dist-packages/cutadapt/scripts/cutadapt.py
/usr/share/doc/python-cutadapt/changelog.Debian.gz
/usr/share/doc/python-cutadapt/copyright

Changelog

2017-09-05 - Matthias Klose <doko@ubuntu.com>
python-cutadapt (1.13-1build2) artful; urgency=medium
* No-change rebuild to drop _PyFPE support.
2017-08-05 - Matthias Klose <doko@ubuntu.com>
python-cutadapt (1.13-1build1) artful; urgency=medium
* No-change rebuild to build to drop python3.5.
2017-05-15 - Olivier Sallou <osallou@debian.org>
python-cutadapt (1.13-1) unstable; urgency=medium
* New upstream release
2017-03-20 - Andreas Tille <tille@debian.org>
python-cutadapt (1.12-2) unstable; urgency=medium
* Depends: python-xopen
Closes: #858053
* Run build time tests
2016-12-02 - Kevin Murray <kdmfoss@gmail.com>
python-cutadapt (1.12-1) unstable; urgency=medium
* New upstream version 1.12 (Closes: #846471)
* Fix up d/copyright: remove duplicate license stanzas, and Files: pattern
without matching files.
2016-08-18 - Olivier Sallou <osallou@debian.org>
python-cutadapt (1.11-1) unstable; urgency=medium
* New upstream release 
2016-06-21 - Andreas Tille <tille@debian.org>
python-cutadapt (1.10-2) unstable; urgency=medium
* Add missing Breaks for new package cutadapt
* Clarified license
2016-06-20 - Andreas Tille <tille@debian.org>
python-cutadapt (1.10-1) unstable; urgency=medium
* New upstream version
* Provide a package cutadapt containing just the user interface
* Remove README.Debian since we now have only one user interface
* Better hardening
2015-12-10 - Olivier Sallou <osallou@debian.org>
python-cutadapt (1.9.1-1) unstable; urgency=medium
* New upstream release 
2015-08-17 - Olivier Sallou <osallou@debian.org>
python-cutadapt (1.8.3-1) unstable; urgency=low
* Initial release (Closes: #795822)

See Also

Package Description
python-cv-bridge_1.12.3+ds-1build1_i386.deb cv_bridge ROS package - Python bindings
python-cvxopt-doc_1.1.9+dfsg-2_all.deb Python package for convex optimization (documentation)
python-cvxopt_1.1.9+dfsg-2_i386.deb Python package for convex optimization
python-cwiid_0.6.00+svn201-4_i386.deb library to interface with the wiimote
python-cxx-dev_7.0.1-1ubuntu4_all.deb Set of facilities to extend Python with C++
python-cycler-doc_0.10.0-1_all.deb composable kwarg iterator (documentation)
python-cycler_0.10.0-1_all.deb composable kwarg iterator (Python 2)
python-cyclone_1.1-2_all.deb web server framework for Python Twisted using the Tornado API
python-cylc_7.4.0-1_i386.deb Python libraries for cylc workflow scheduler
python-cymruwhois-doc_1.6-2build1_all.deb python-cymruwhois common documentation
python-cymruwhois_1.6-2build1_all.deb Python library for interfacing with the whois.cymru.com service (Python 2)
python-cypari2_1.0.0-3ubuntu2_i386.deb Python interface to PARI
python-cysignals-bare_1.6.5+ds-2_i386.deb interrupt and signal handling for Cython -- Python - bare
python-cysignals-doc_1.6.5+ds-2_all.deb interrupt and signal handling for Cython -- doc
python-cysignals-pari_1.6.5+ds-2_i386.deb interrupt and signal handling for Cython -- Python - PARI/GP
Advertisement
Advertisement